package imie;

import java.io.*;
import jakarta.servlet.*;
import jakarta.servlet.http.*;

public class CalendarServlet extends HttpServlet{
	private static final long serialVersionUID = 7772065702934658508L;

	protected void process(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		String dateOfEvent = request.getParameter("dateOfEvent");
		String[] spl = dateOfEvent.split("-");
		String imiona = ImieninyUtil.printImionaDlaDaty2(
				Integer.parseInt(spl[2]), Integer.parseInt(spl[1]) + 1);
		String[] im = imiona.split(",");
		response.setContentType("text/html");
		response.setHeader("Cache-Control", "no-cache");
		response.setCharacterEncoding("utf-8");
            try (PrintWriter pw = response.getWriter()) {
                if(im.length > 0){
                    pw.println("<p>");
                    for(int i = 0; i < im.length; i++){
                        if((i % 5) < 4){
                            pw.print(im[i] + ", ");
                        }
                        else{
                            pw.print(im[i] + "<br>");
                        }
                    }
                    pw.println("</p>");
                }
            }
	}

	@Override
	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		process(request, response);
	}

	@Override
	protected void doPost(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		process(request, response);
	}

	@Override
	public String getServletInfo() {
		return "Podaje wykaz imion dla danej daty";
	}
}